Bug 165293 - Review Request: perl-Locale-gettext
Summary: Review Request: perl-Locale-gettext
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ville Skyttä
QA Contact: David Lawrence
URL: http://search.cpan.org/~pvandry/gette...
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2005-08-07 05:38 UTC by Ralf Corsepius
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-11 04:52:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ralf Corsepius 2005-08-07 05:38:08 UTC
Spec Name or Url: ftp://packman.iu-bremen.de/fedora/SRPMS/perl-Locale-gettext.spec
SRPM Name or Url: ftp://packman.iu-bremen.de/fedora/SRPMS/perl-Locale-gettext-1.05-1.src.rpm

Description:
The gettext module permits access from perl to the gettext() family of
functions for retrieving message strings from databases constructed to
internationalize software.

Comment 1 Ville Skyttä 2005-08-07 09:12:53 UTC
Not a review yet, nor an objection, but just to make sure you're aware of:  
 
We already have perl-libintl in Extras, and porting/patching apps to use it  
instead of Locale-gettext is often a matter of a trivial  
 
    s/Locale::gettext/Locale::Messages/ 
 
If you'd still like to see L::g in Extras, I can review this. 

Comment 2 Ralf Corsepius 2005-08-08 06:47:00 UTC
(In reply to comment #1)
Well, I had been aware about perl-libintl, but I had not been aware of the "sed".
  
> If you'd still like to see L::g in Extras, I can review this. 
Let me put it this way, ATM, Locale::gettext to me is just a dependency of
another package. I'd prefer to leave the decision on whether to use
Locale::gettext or Locale::Messages to upstream perl.

Comment 3 Ville Skyttä 2005-08-08 14:55:46 UTC
Uh... upstream perl? 

Comment 4 Ralf Corsepius 2005-08-08 15:03:16 UTC
Locale::Message/perl-libintl and Locale::gettext apparently are competing
approaches, so unless perl decides to abandon one of each, I don't feel
legitimated nor do I think FE is legitmated to abandon on of them.

Comment 5 Ville Skyttä 2005-08-08 15:18:14 UTC
Sure, but neither is in upstream perl, so neither can be abandoned there.  You 
mean CPAN? 
 
Anyway, as said, since you're convinced that this is needed, I can review it 
later today. 

Comment 6 Ralf Corsepius 2005-08-08 15:23:32 UTC
(In reply to comment #5)
> Sure, but neither is in upstream perl, so neither can be abandoned there.  You 
> mean CPAN? 
Of cause ... nit-picking mode, today?

> Anyway, as said, since you're convinced that this is needed
Sorry, no, I am not convinced. It's just the most simple way to satisfy another
package's dependency, and to avoid having to hack this other package.

If _you_ should be convinced Locale::Message is 100% compatible to
Locale::gettext, then I'd propose somebody should add a Locale::gettext to
perl-libintl - However, too me, this sounds really dangerous.



Comment 7 Ville Skyttä 2005-08-08 19:18:35 UTC
Shrug.  
  
REWORK:  
- BuildRequires: gettext missing -> test suite coverage  
  
Cosmetics:  
- URL tag is subject to bitrot  
- Release number in latest changelog entry is off sync  
  

Comment 8 Ralf Corsepius 2005-08-09 07:25:07 UTC
Updated srpm/spec with Ville's review reflected:

Spec Name or Url: ftp://packman.iu-bremen.de/fedora/SRPMS/perl-Locale-gettext.spec
SRPM Name or Url:
ftp://packman.iu-bremen.de/fedora/SRPMS/perl-Locale-gettext-1.05-2.src.rpm

Comment 9 Ville Skyttä 2005-08-09 16:29:37 UTC
Approved. 


Note You need to log in before you can comment on or make changes to this bug.